Package org.gradle.tooling.events.problems

# Interface TaskPathLocation

All Superinterfaces:
  `Location`

@Incubating public interface TaskPathLocation extends Location
Represents a task path.

Since:
  8.6

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBuildTreePath()`
  Returns the path of this task within the build tree.

- ## Method Details

  - ### getBuildTreePath

    String getBuildTreePath()
    Returns the path of this task within the build tree. This is a unique name for this task within the composite build.
    Since:
      8.6